import type { Event } from '@sentry/node';
type Level = 'warning' | 'error' | 'fatal';
export type ReportingOptions = {
    level?: Level;
} & Pick<Event, 'tags' | 'extra'>;
export declare class ApplicationError extends Error {
    readonly level: Level;
    readonly tags?: Event['tags'];
    readonly extra?: Event['extra'];
    constructor(message: string, { level, tags, extra, ...rest }?: Partial<ErrorOptions> & ReportingOptions);
}
export {};
