import type { INode, JsonObject, Severity, Functionality } from '../Interfaces';
import { NodeError } from './abstract/node.error';
export interface NodeOperationErrorOptions {
    message?: string;
    description?: string;
    runIndex?: number;
    itemIndex?: number;
    severity?: Severity;
    messageMapping?: {
        [key: string]: string;
    };
    functionality?: Functionality;
}
interface NodeApiErrorOptions extends NodeOperationErrorOptions {
    message?: string;
    httpCode?: string;
    parseXml?: boolean;
}
export declare class NodeApiError extends NodeError {
    httpCode: string | null;
    constructor(node: INode, errorResponse: JsonObject, { message, description, httpCode, parseXml, runIndex, itemIndex, severity, functionality, messageMapping, }?: NodeApiErrorOptions);
    private setDescriptionFromXml;
    private setDefaultStatusCodeMessage;
}
export {};
